.aside-container {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  background: transparent;
  width: 500px;
  height: 550px;
}

@media screen and (max-width: 1000px) {
  .aside-container  {
    width: 400px;
    height: 500px;
  }
}

@media screen and (max-width: 900px) {
  .aside-container  {
    height: 100%;
    width: 100%;
    border-radius: 0;
  }
}

@media screen and (max-width: 750px) {
  :host ::ng-deep app-profile { // used to style the ProfileComponent from the AsideComponent
    width: 100%;
    height: 100vh;
  }
}

@media screen and (min-width: 750px) {
  :host ::ng-deep app-profile {
    // used to remove the fact that the ProfileComponent is present in the AsideComponent during the resize,
    // making it visible during the router animation
    display: none;
  }
}
